availableXrefs {RpsiXML} | R Documentation

## Get cross reference(s) of interactors from PSI-MI 2.5 files

### Description

PSI-MI 2.5 data exchange format encourages data providers to encode cross referenes of the interactors into the file, which prove valuable for annotating the data. These functions help finding out the available cross references of interactors.

### Usage

    availableXrefs(x,...)
    xref(x)

### Arguments

`x` | for `availableXrefs`, 'x' can either be an object of `psimi25Interactor-class`, `link{psimi25InteractionEntry}` or a list of `psimi25Interactor-class` objects. for `xref`, 'x' should be an object of `psimi25Interactor-class`
`...` | intersect, logical option. If set to `TRUE` then only the cross references available for every interactor are returned (intersected), otherwise all the cross references are unioned and returned. See the examples

### Details

If `psimi25InteractionEntry` is provided as the parameter of `availableXrefs`, an option named "intersect" can be set to extract only those cross references intersected among all the interactors, namely the ones assigned in every interactor. Please see the examples.

### Value

`xref` | Returns a matrix with two columns: `db` (external database name) and `id` (external database index)
`availableXrefs` | A vector of characters, the names of external databases referenced in the file

### Author(s)

Jitao David Zhang

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    hprdxml <- file.path(xmlDir, "hprd_200709_test.xml")
    hprdSet <- parsePsimi25Interaction(hprdxml, HPRD.PSIMI25)
    hprdInteractors <- interactors(hprdSet)

    availableXrefs(hprdSet)
    xref(hprdInteractors[[1]])
    availableXrefs(hprdInteractors[[1]])

[Package RpsiXML version 1.0.0 Index]